summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2020-01-19 17:40:05 +0300
committerMikle Kolyada <zlogene@gentoo.org>2020-01-19 17:40:05 +0300
commit8584cd1ab5e554a6401008b09ce369b3b5399195 (patch)
tree03eca2b89ab17ab94d5027512a5b099efef88bdd /dev-tex
parentdev-tex/biblatex-gost: port to EAPI=7 (diff)
downloadgentoo-8584cd1ab5e554a6401008b09ce369b3b5399195.tar.gz
gentoo-8584cd1ab5e554a6401008b09ce369b3b5399195.tar.bz2
gentoo-8584cd1ab5e554a6401008b09ce369b3b5399195.zip
dev-tex/hlatex: port to EAPI=7
Package-Manager: Portage-2.3.79, Repoman-2.3.16 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Diffstat (limited to 'dev-tex')
-rw-r--r--dev-tex/hlatex/hlatex-1.0.1-r1.ebuild33
1 files changed, 16 insertions, 17 deletions
diff --git a/dev-tex/hlatex/hlatex-1.0.1-r1.ebuild b/dev-tex/hlatex/hlatex-1.0.1-r1.ebuild
index 5e221fe9f4e..7fbfdcb0a25 100644
--- a/dev-tex/hlatex/hlatex-1.0.1-r1.ebuild
+++ b/dev-tex/hlatex/hlatex-1.0.1-r1.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2018 Gentoo Foundation
+# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=6
+EAPI=7
inherit toolchain-funcs latex-package
@@ -30,14 +30,13 @@ SRC_URI="ftp://ftp.ktug.or.kr/pub/ktug/hlatex/${MY_P}.tar.gz
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
-IUSE=""
S="${WORKDIR}/HLaTeX"
src_unpack() {
unpack ${MY_P}.tar.gz
unpack uhc-fonts-1.0.tar.gz
- cd "${S}"/contrib
+ cd "${S}"/contrib || die
cat >Makefile <<-EOF
CC=$(tc-getCC)
all: hmakeindex hbibtex
@@ -47,16 +46,16 @@ EOF
}
src_compile() {
- cd "${S}"/contrib
+ cd "${S}"/contrib || die
emake
}
src_install() {
- cd "${S}"/latex
+ cd "${S}"/latex || die
insinto ${TEXMF}/tex/latex/hlatex
doins *
- cd "${S}"/lambda
+ cd "${S}"/lambda || die
insinto ${TEXMF}/tex/lambda/hlatex
doins u8hangul.tex uhc-test.tex uhc*.fd
@@ -66,7 +65,7 @@ src_install() {
insinto ${TEXMF}/omega/ocp/hlatex
doins hlatex.ocp
- cd "${S}"/contrib
+ cd "${S}"/contrib || die
insinto ${TEXMF}/tex/latex/hlatex
doins hbname-k.tex khyper.sty showhkeys.sty showhtags.sty
doins hangulfn.sty hfn-k.tex
@@ -82,14 +81,14 @@ src_install() {
dobin hmakeindex hbibtex
- cd "${S}"
+ cd "${S}" die
dodoc ChangeLog.ko NEWS* README.en
- cd "${WORKDIR}"/uhc-fonts-1.0
+ cd "${WORKDIR}"/uhc-fonts-1.0 || die
insinto ${TEXMF}/fonts/map/hlatex
doins uhc-base.map uhc-extra.map
- cd "${ED}"/${TEXMF}/fonts
+ cd "${ED}"/${TEXMF}/fonts || die
for X in ${UHCFONTS}
do
unpack ${X}
@@ -97,19 +96,19 @@ src_install() {
}
pkg_postinst() {
- updmap-sys --enable Map=uhc-base.map
- updmap-sys --enable Map=uhc-extra.map
- texhash
+ updmap-sys --enable Map=uhc-base.map || die
+ updmap-sys --enable Map=uhc-extra.map || die
+ texhash || die
}
pkg_postrm() {
if [ ! -e "${EPREFIX}"${TEXMF}/fonts/map/hlatex/uhc-base.map ] ; then
- updmap-sys --disable Map=uhc-base.map
+ updmap-sys --disable Map=uhc-base.map || die
fi
if [ ! -e "${EPREFIX}"${TEXMF}/fonts/map/hlatex/uhc-extra.map ] ; then
- updmap-sys --disable Map=uhc-extra.map
+ updmap-sys --disable Map=uhc-extra.map || die
fi
- texhash
+ texhash || die
}